Package org.sunflow.core.parser

# Class RA2Parser

java.lang.Object
org.sunflow.core.parser.RA2Parser

All Implemented Interfaces:
  `SceneParser`

public class RA2Parser extends Object implements SceneParser

## Constructor Summary

Constructors
Constructor
Description
`RA2Parser()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`parse(String filename, SunflowAPIInterface api)`
Parse the specified file to create a scene description into the provided `SunflowAPI` object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RA2Parser

public RA2Parser()

## Method Details

### parse

public boolean parse(String filename, SunflowAPIInterface api)
Description copied from interface: `SceneParser`
Parse the specified file to create a scene description into the provided `SunflowAPI` object.

Specified by:
  `parse` in interface `SceneParser`
Parameters:
  `filename` - filename to parse
  `api` - scene to parse the file into
Returns:
  `true` upon sucess, or `false` if errors have occured.